Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 19-04-2017 14:42:06

Leoblue
Membre
Distrib. : Debian GNU/Linux 8 (jessie)
Noyau : Linux 3.16.0-4-686-pae
(G)UI : gdm3
Inscription : 23-11-2016

"mime" application-vnd.debian.binery-package not supported

Bonjour à tous,

J'ai un problème avec ma nouvelle imprimante "Epson Expression home xp-245".
Après avoir déballer ma nouvelle imprimante  j'ai connecté celle ci avec câble USB(2). (j'indique le 2 car j'ai lu qu'il faut utilisé les ports usb 2 et non 3) à mon ordi.
Mon problème c'est que j'ai voulu télécharger les drivers car l’imprimante n'a pas de pilote sous mon os.
Les paquets sont sous cette adresse:
http://download.ebz.epson.net/dsc/searc … archModule
J'ai télécharger les paquets,
puis j'ai voulu utiliser installateur des paquets pour les installer.
Voici ce le problème:

"MIME type 'application/vnd.debian.binary-package' not supported /home/suricate/Téléchargements/epson-inkjet-printer-escpr_1.6.13-1lsb3.2_i386.deb"

L'autre aussi:

"MIME type 'application/vnd.debian.binary-package' not supported /home/suricate/Téléchargements/epson-printer-utility_1.0.1-1lsb3.2_i386.deb"

Aussi je ne sais pas si j'ai télécharger le bon paquets car il y en avait plusieurs.
Voici la page pour "epson-inkjet-printer-escpr":
http://download.ebz.epson.net/dsc/du/02 … b81ea2fc7b

Je voudrais savoir comment faire pour installer ces fichiers.
Merci beaucoup de m'aider et de vos réponses.

Hors ligne

#2 19-04-2017 16:03:44

Croutons
Membre
Distrib. : Handylinux 2.5 vers debian 8.7
Noyau : Linux 3.16.0-4-686-pae
(G)UI : xfce
Inscription : 16-12-2016

Re : "mime" application-vnd.debian.binery-package not supported

Bonjour
La commande qui te permet d'installer les paquets téléchargé est dpkg
enfin j'aime pas trop car il parait que çà ne gère pas les dépendances
Je préfère gedbi en mode graphique qui lui gère les dépendances

apt update && apt install gdebi


Après tu devrais avoir l'option quand tu cliques droite sur le fichier .deb pour l'installer avec gedbi
ou tu ouvres gedbi depuis ton menu sous la catégorie système

Dernière modification par Croutons (19-04-2017 16:05:00)

Hors ligne

#3 19-04-2017 23:42:23

Leoblue
Membre
Distrib. : Debian GNU/Linux 8 (jessie)
Noyau : Linux 3.16.0-4-686-pae
(G)UI : gdm3
Inscription : 23-11-2016

Re : "mime" application-vnd.debian.binery-package not supported

Merci de m'aider.

J'ai téléchargé le Gedebi. Ensuite j'ai ouvert les dossiers que j'ai téléchargé depuis le site Epson.
Mais les dossiers se sont installer dans  le dossier /ops.

Je ne sais pas comment faire. j'ai allumé mon imprimante mais il est indiqué qu'il n'y a toujours pas de pilotes pour cette imprimantes.
De plus j'ai lu que c'est difficile de la configurée.

j'aimerais svp qu'on m'indique pas à pas comment faire.

Merci pour vos futures réponses.

Hors ligne

#4 20-04-2017 00:35:42

kyodev
Banni(e)
Lieu : Lyon
Distrib. : Debian
Noyau : probablement stretch
(G)UI : variable selon l'humeur de naguam
Inscription : 18-08-2013

Re : "mime" application-vnd.debian.binery-package not supported

je te suggère de modifier le tire de ton fil, par exemple "comment installer une epson xp-245", cela sera plus parlant pour ceux qui passent par là.
moi je n'y connais rien.

vu sur le site epson, tu as installé auparavant lsb? sur debian:

apt install lsb-base

si j'en crois cette liste,
https://lists.debian.org/debian-printin … 00070.html, il suffirait d'installer

apt install printer-driver-escpr package escputil

pour faire fonctionner ton imprimante.
si ce n'était pas suffisant:

dpkg -i /home/suricate/Téléchargements/epson-printer-utility_1.0.1-1lsb3.2_i386.deb

si warning de dépendances


apt --fix-broken install


[mode aéré]

Hors ligne

#5 20-04-2017 01:16:42

èfpé
Membre
Inscription : 10-07-2016

Re : "mime" application-vnd.debian.binery-package not supported

Bon{soir|ne nuit},

Alors en fait le pilote du dépôt Jessie (version 1.4.1) ne prend pas en charge cette imprimante, qui semble assez récente. Du coup, installer le pilote fourni par Epson (version 1.6.13) est une bonne idée. Le paquet 'pilote' installe les fichiers dans /opt, le paquet 'utilitaire' installe les fichiers dans /opt et /usr, mais à la limite on s'en tape, l'essentiel est qu'ils soient effectivement installés, quelle que soit la méthode employée (GDebi ou dpkg) :

apt-cache policy epson-inkjet-printer-escpr epson-printer-utility


Ensuite, il faut ajouter l'imprimante au système d'impression, CUPS, soit via un utilitaire graphique (system-config-printer ou autre), soit via l'interface web (localhost:631/admin) :

Administration > Ajouter une imprimante / Trouver de nouvelles imprimantes


L'utilitaire Epson Printer Utility (Vérification des buses / Nettoyage des têtes) doit semble-t-il être exécuté depuis la commande 'epson-printer-utility' (je n'ai pas trouvé d'entrée de menu) :

epson-printer-utility


Voilà pour la partie impression... la partie numérisation (scanner) est un peu plus sportive wink

Dernière modification par èfpé (20-04-2017 01:32:42)

Hors ligne

#6 20-04-2017 21:59:05

Leoblue
Membre
Distrib. : Debian GNU/Linux 8 (jessie)
Noyau : Linux 3.16.0-4-686-pae
(G)UI : gdm3
Inscription : 23-11-2016

Re : "mime" application-vnd.debian.binery-package not supported

Merci à tous mon imprimante marche.J'ai effectué se que vous avez écrit.
par contre pour le scanner et copie je ne sais pas trop.
Je n'ai pas encore téléchargé le pilote j'ai lu qu'il faudrait changer qu'elle chose sur un dossier et ne sais pas comment faire.
Merci encore pour tous pour l'imprimante .
Manque le scanner et copie(photocopier)...
Bonne soirée et merci vos futures réponses.

1-j'ai télécharger les dossiers:
-imagescan-bundle-debian-8-1.3.19.x86.deb.tar.gz

2-je l'ai décompressé.
/home/.../Téléchargements/imagescan-bundle-debian-8-1.3.19.x86.deb/core/imagescan_3.29.0-1epson4debian8_i386.deb

3-Deux dossiers sont à l'intérieur: "core" et "plugins"
install.sh, le README.rst

Remarque: je veux utiliser l'imprimante tout en  un seulement avec le câble
donc j'installe manuellement se que je veux dans le dossier plugins

4-Dans le dossier "core" : Instalation du paquet via un terminal en mode Root
"imagescan_3.29.0-1epson4debian8_i386.deb"

dpkg -i /home/.../Téléchargements/imagescan-bundle-debian-8-1.3.19.x86.deb/core/imagescan_3.29.0-1epson4debian8_i386.deb



Remarque des problèmes sont survenus manque des dépendances.

J'ai la commande :

apt-get -f install




5-ensuite la même chose pour le pluging  avec Root dans le dossier pluging:
imagescan-plugin-gt-s650_1.0.0-1epson4debian8_i386.deb



6-J'ai utulisé les programmes pour "l'aquisition d'image"
mais impossible de voir l'image de ma feuille que j'ai mis dans le scanner.
Tous reconnaissent mon scanner (XCane et Image Scane).
D'après XScane: Voici ce qui est marquer après avoir appuyé sur Acquisition de l'aperçu dans une petite fenêtre: " Échec du démarrage du scanner: Opération annulée. "

Remarque j'en ai utilisé d'autre, c'est pareil impossible de voir l'image de ma feuille.

J'ai oublié quelque chose?
J'ai lu les tutos mais c'est un peu le chinois. je ne suis pas geek.
Pourriez-vous m'aider SVP utiliser le scanner pour visualiser, copier sur pc et faire une photocopie?
Merci pour vos réponses et bonne journée.

Dernière modification par Leoblue (21-04-2017 15:33:45)

Hors ligne

#7 21-04-2017 13:58:42

èfpé
Membre
Inscription : 10-07-2016

Re : "mime" application-vnd.debian.binery-package not supported

Re-,

Alors pour ce qui concerne la copie, tout se passe depuis le panneau de commande (frontal) de l'imprimante, comme expliqué en pages 15 et 58 du guide d'utilisation... une sa(i)ne lecture aussi, donc.

Pour ce qui est du scanner, ton installation est incomplète, il y a effectivement des dépendances non satisfaites (boost1.55 et graphicsmagick, semble-t-il) ; voici la procédure (en full CLI big_smile) que je t'aurais proposée :

cd ~/Téléchargements

wget https://download2.ebz.epson.net/imagescanv3/debian/latest1/deb/x86/imagescan-bundle-debian-8-1.3.19.x86.deb.tar.gz

tar -zxf imagescan-bundle-debian-8-1.3.19.x86.deb.tar.gz

cd imagescan-bundle-debian-8-1.3.19.x86.deb

./install.sh


Le script d'installation est vraiment bien fichu : il te demande de passer en super-utilisateur (root) et il gère les dépendances... peut-être peux-tu récupérer l'installation en les installant a posteriori ? que donne pour toi :

./install.sh --dry-run --without-network


Voici le retour que j'obtiens (en Debian 8.5 Live) :

apt-get update
apt-get install --assume-yes libboost-filesystem1.55.0 libboost-program-options1.55.0 libboost-regex1.55.0 libboost-thread1.55.0 libgraphicsmagick++3 libgraphicsmagick3 graphicsmagick
dpkg --install ./core/imagescan_3.29.0-1epson4debian8_i386.deb ./plugins/imagescan-plugin-gt-s650_1.0.0-1epson4debian8_i386.deb ./plugins/imagescan-plugin-ocr-engine_1.0.0-1epson4debian8_i386.deb


Comme indiqué dans le fichier README, les plugins (non libres, contrairement au reste du logiciel) ocr-engine et networkscan sont facultatifs ; toutefois ocr-engine est recommandé et networkscan permet d'utiliser le scanner en Wi-Fi... quoi qu'il en soit, cela ne change rien aux dépendances.

Note : l'installation du logiciel Image Scan v3 est justifiée, car le backend sane-epson2 du projet SANE ne prend pas en charge l'imprimante multifonction XP-245, que ce soit sur Debian 8 (1.0.24) ou Debian 9 (1.0.25).

Dernière modification par èfpé (21-04-2017 15:58:42)

Hors ligne

#8 21-04-2017 16:28:58

Leoblue
Membre
Distrib. : Debian GNU/Linux 8 (jessie)
Noyau : Linux 3.16.0-4-686-pae
(G)UI : gdm3
Inscription : 23-11-2016

Re : "mime" application-vnd.debian.binery-package not supported

Bonjour
Voici le retour de cette commande:

./install.sh --dry-run --without-network



"dpkg --install ./core/imagescan_3.29.0-1epson4debian8_i386.deb ./plugins/imagescan-plugin-ocr-engine_1.0.0-1epson4debian8_i386.deb ./plugins/imagescan-plugin-gt-s650_1.0.0-1epson4debian8_i386.deb"

....
Je crois avoir installer les deux premier dossiers. Mais pas le pluging -ocr- engine.
Du plus j'ai un problème avec le terminal quand il me demande faire mon code root je fait le code comme pour ouvrir certain programme comme Sinaptic mais le terminal ne le reconnais pas??

Dernière modification par Leoblue (21-04-2017 16:29:48)

Hors ligne

#9 21-04-2017 16:54:32

èfpé
Membre
Inscription : 10-07-2016

Re : "mime" application-vnd.debian.binery-package not supported

Re-,

Damned cela ne nous aide pas à connaître les dépendances non satisfaites... que donne du coup :

apt-cache policy libboost-filesystem1.55.0 libboost-program-options1.55.0 libboost-regex1.55.0 libboost-thread1.55.0 libgraphicsmagick++3 libgraphicsmagick3 graphicsmagick


Comme tu l'auras compris, il s'agit de vérifier si ces dépendances sont installées ou non.

Hors ligne

#10 21-04-2017 19:23:05

Leoblue
Membre
Distrib. : Debian GNU/Linux 8 (jessie)
Noyau : Linux 3.16.0-4-686-pae
(G)UI : gdm3
Inscription : 23-11-2016

Re : "mime" application-vnd.debian.binery-package not supported

Bonsoir,

J'ai bien graphicmagick mais il est en conflit avec Imagemagick.

D'après Synaptic (graphique) c'est bien indiqué que :

"libboost-filesystem1.55.0 libboost-program-options1.55.0 libboost-regex1.55.0 libboost-thread1.55.0 libgraphicsmagick++3 libgraphicsmagick3 graphicsmagick"

sont bien installés.

Voici ce que donne la commande:
apt-cache policy libboost-filesystem1.55.0 libboost-program-options1.55.0 libboost-regex1.55.0 libboost-thread1.55.0 libgraphicsmagick++3 libgraphicsmagick3 graphicsmagick
libboost-filesystem1.55.0:
  Installé : 1.55.0+dfsg-3
  Candidat : 1.55.0+dfsg-3
Table de version :
*** 1.55.0+dfsg-3 0
        500 http://httpredir.debian.org/debian/ jessie/main i386 Packages
        100 /var/lib/dpkg/status
libboost-program-options1.55.0:
  Installé : 1.55.0+dfsg-3
  Candidat : 1.55.0+dfsg-3
Table de version :
*** 1.55.0+dfsg-3 0
        500 http://httpredir.debian.org/debian/ jessie/main i386 Packages
        100 /var/lib/dpkg/status
libboost-regex1.55.0:
  Installé : 1.55.0+dfsg-3
  Candidat : 1.55.0+dfsg-3
Table de version :
*** 1.55.0+dfsg-3 0
        500 http://httpredir.debian.org/debian/ jessie/main i386 Packages
        100 /var/lib/dpkg/status
libboost-thread1.55.0:
  Installé : 1.55.0+dfsg-3
  Candidat : 1.55.0+dfsg-3
Table de version :
*** 1.55.0+dfsg-3 0
        500 http://httpredir.debian.org/debian/ jessie/main i386 Packages
        100 /var/lib/dpkg/status
libgraphicsmagick++3:
  Installé : 1.3.20-3+deb8u2
  Candidat : 1.3.20-3+deb8u2
Table de version :
*** 1.3.20-3+deb8u2 0
        500 http://security.debian.org/ jessie/updates/main i386 Packages
        100 /var/lib/dpkg/status
     1.3.20-3+deb8u1 0
        500 http://httpredir.debian.org/debian/ jessie/main i386 Packages
libgraphicsmagick3:
  Installé : 1.3.20-3+deb8u2
  Candidat : 1.3.20-3+deb8u2
Table de version :
*** 1.3.20-3+deb8u2 0
        500 http://security.debian.org/ jessie/updates/main i386 Packages
        100 /var/lib/dpkg/status
     1.3.20-3+deb8u1 0
        500 http://httpredir.debian.org/debian/ jessie/main i386 Packages
graphicsmagick:
  Installé : 1.3.20-3+deb8u2
  Candidat : 1.3.20-3+deb8u2
Table de version :
*** 1.3.20-3+deb8u2 0
        500 http://security.debian.org/ jessie/updates/main i386 Packages
        100 /var/lib/dpkg/status
     1.3.20-3+deb8u1 0
        500 http://httpredir.debian.org/debian/ jessie/main i386 Packages

Hors ligne

#11 21-04-2017 20:32:32

èfpé
Membre
Inscription : 10-07-2016

Re : "mime" application-vnd.debian.binery-package not supported

Re-,

Ok, c'est certainement la commande 'apt-get -f install' qui a installé a posteriori les dépendances non satisfaites... d'ailleurs c'est peut-être le a posteriori le problème... donc à ce stade, je te proposerais volontiers de :

  • vérifier l'appartenance au groupe 'scanner' ;

  • vérifier les paquets imagescan installés ;

  • les désinstaller/purger proprement ;

  • les réinstaller proprement et correctement !


groups


apt-cache policy imagescan imagescan-plugin-gt-s650 imagescan-plugin-networkscan imagescan-plugin-ocr-engine


apt-get remove --purge imagescan imagescan-plugin-gt-s650


Cette dernière commande étant bien sûr à compléter si tu as entre-temps installé le plugin imagescan-plugin-ocr-engine. Ensuite, réinstallation propre (cf. post #7) de tout ce bazar avec la commande :

./install.sh --without-network


Voilà voilà... cela fonctionne sous Ubuntu, donc cela devrait également fonctionner sous Debian hmm

Hors ligne

#12 22-04-2017 14:50:09

Croutons
Membre
Distrib. : Handylinux 2.5 vers debian 8.7
Noyau : Linux 3.16.0-4-686-pae
(G)UI : xfce
Inscription : 16-12-2016

Re : "mime" application-vnd.debian.binery-package not supported

Bonjour

Leoblue a écrit :

Du plus j'ai un problème avec le terminal quand il me demande faire mon code root je fait le code comme pour ouvrir certain programme comme Sinaptic mais le terminal ne le reconnais pas??


Attention ferme synaptic quand tu fais des installations dans un terminale sinon message d'erreur

E: Impossible d'obtenir le verrou /var/lib/dpkg/lock - open (11: Ressource temporairement non disponible)
E: Impossible de verrouiller le répertoire d'administration (/var/lib/dpkg/). Il est possible qu'un autre processus l'utilise.

Hors ligne

#13 23-04-2017 17:15:35

Leoblue
Membre
Distrib. : Debian GNU/Linux 8 (jessie)
Noyau : Linux 3.16.0-4-686-pae
(G)UI : gdm3
Inscription : 23-11-2016

Re : "mime" application-vnd.debian.binery-package not supported

Bonjour à tous,

Synaptic était fermé pendant que j'utilisait mon terminal.
Il ne reconnait pas mon code qui ouvre synaptic et mon code login de mon dossier personnel.

Voilà ce si c'est passé... dand mon terminal...

personel@debian:~$ cd ~/Téléchargements
personel@debian:~/Téléchargements$ cd imagescan-bundle-debian-8-1.3.19.x86.deb
personel@debian:~/Téléchargements/imagescan-bundle-debian-8-1.3.19.x86.deb$ ./install.sh --dry-run --without-network
dpkg --install ./core/imagescan_3.29.0-1epson4debian8_i386.deb ./plugins/imagescan-plugin-ocr-engine_1.0.0-1epson4debian8_i386.deb ./plugins/imagescan-plugin-gt-s650_1.0.0-1epson4debian8_i386.deb
personel@debian:~/Téléchargements/imagescan-bundle-debian-8-1.3.19.x86.deb$



Pourriez vous me dire svp si c'est installé?
-----
Aussi,  Image Scane arrive à voir ma feuille originale mais impossible de l'enregistrer sur le pc dans n'importe quel format.

Dernière modification par Leoblue (23-04-2017 17:35:10)

Hors ligne

#14 23-04-2017 20:54:32

èfpé
Membre
Inscription : 10-07-2016

Re : "mime" application-vnd.debian.binery-package not supported

Re-,

As-tu lu et compris le post #11 ? Ainsi qu'il est assez clairement expliqué dans le fichier README, l'option '--dry-run' exécute une simulation, c'est-à-dire qu'il ne se passe rien dans la réalité vraiment vraie. L'aspect acquisition des privilèges super-utilisateur est également abordé :

No permission/privileges to install

(...) The ``install.sh`` script assumes that you can use ``sudo`` to obtain ``root`` status.  If that is not the case the install will fail. (...)


Donc, si tu n'utilises pas 'sudo machin' (login et password user) habituellement, il te faut alors employer la commande 'su -c machin' (login et password root) :

su -c './install.sh --without-network'


Concernant l'installation, le fichier README est également très clair quant à la procédure à respecter en cas d'utilisation justifiée (ce qui n'est pas le cas ici) de la commande 'dpkg' :

Package manager or ``apt-get`` command not found

(...) This will likely fail due to missing dependencies. (...) After a failed ``dpkg``, first remove the failed packages. (...) Once removed, you can use your regular software installation method to install any missing dependencies and run the ``dpkg --install`` command again.


Pour le reste si tu rencontres des difficultés dans l'utilisation du logiciel Image Scan v3, tu peux essayer le très populaire XSane, ou encore le très minimaliste Simple Scan.

Dernière modification par èfpé (24-04-2017 12:54:32)

Hors ligne

#15 09-05-2017 19:15:56

Leoblue
Membre
Distrib. : Debian GNU/Linux 8 (jessie)
Noyau : Linux 3.16.0-4-686-pae
(G)UI : gdm3
Inscription : 23-11-2016

Re : "mime" application-vnd.debian.binery-package not supported

Bonjour Tous le monde.

J'ai réinstallé Débian et réinstaller les drivers pilotes d'imprimante Epson.
Le scanner marche toujour pas.
Avec le logiciel "Image scan" je ne peux pas enregistré la feuille que j'ai installé dans le scanner. Je peux la voir avec le logiciel mais pas l'enregistré dans un dossier.

j'ai tous installer même le "Network".

Comment faire pour que ça marche?

Merci pour votre réponses.

Hors ligne

#16 09-05-2017 19:22:43

chalu
Modératrice
Lieu : Anjou
Distrib. : Debian Jessie (saveur Handylinux 2.5) à jour
Noyau : Linux 3.16.0-4-amd64
(G)UI : XFCE - xfwm4
Inscription : 11-03-2016

Re : "mime" application-vnd.debian.binery-package not supported

Leoblue a écrit :

Le scanner marche toujour pas.
Avec le logiciel "Image scan" je ne peux pas enregistré la feuille que j'ai installé dans le scanner. Je peux la voir avec le logiciel mais pas l'enregistré dans un dossier.


Bonjour smile
As-tu essayé avec un autre logiciel comme simple scan ?


Bien débuter sur Debian :
->Les cahiers du débutant + le wiki Découvrir les principales commandes Linux
-> Le projet DFlinux (DebianFacileLinux) pour débutants: ISOs (i386 et amd64) basées sur Debian stable avec des outils facilitants
-> Retours et avis sur DFLinux dans ce fil

Hors ligne

#17 09-05-2017 20:14:18

Leoblue
Membre
Distrib. : Debian GNU/Linux 8 (jessie)
Noyau : Linux 3.16.0-4-686-pae
(G)UI : gdm3
Inscription : 23-11-2016

Re : "mime" application-vnd.debian.binery-package not supported

Bonjour Chalu,

Oui Simple Scan  il reconnait que j'ai un scanner mais je ne peux pas l'image. Quand je clic sur "enregistrer le document dans un dossier" on voit le document dans le dossier au format pdf. Mais impossible de le voir via les visionneuses pour les pdf.

Hors ligne

#18 10-05-2017 20:04:38

chalu
Modératrice
Lieu : Anjou
Distrib. : Debian Jessie (saveur Handylinux 2.5) à jour
Noyau : Linux 3.16.0-4-amd64
(G)UI : XFCE - xfwm4
Inscription : 11-03-2016

Re : "mime" application-vnd.debian.binery-package not supported

ce serait plutôt une visionneuse d'images qu'il faut si tu as enregistré en image.

Bien débuter sur Debian :
->Les cahiers du débutant + le wiki Découvrir les principales commandes Linux
-> Le projet DFlinux (DebianFacileLinux) pour débutants: ISOs (i386 et amd64) basées sur Debian stable avec des outils facilitants
-> Retours et avis sur DFLinux dans ce fil

Hors ligne

Pied de page des forums